Subject: RE: [issue9] Message format

From: "Mohan Parthasarathy" <[email-masked]>
Date: Mon, 23 Jun 2003 11:14:03 -0700

catching up ...

> 
> On Fri, Jun 13, 2003 at 11:14:54AM -0700, Alper Yegin wrote:
> > >> I thought your original message was suggesting using L2 and L3 
> > >> ciphering at the same time to solve IP address ownership 
> problem. I 
> > >> don't see this problem as a motivation to use L2-L3 ciphering at 
> > >> the same time, since the problem itself is outside the scope of 
> > >> PANA. If we include L2-L3 ciphering for another reason 
> (did we find 
> > >> one?), and it solves this problem with no change to the protocol 
> > >> design, then its fine.
> > > 
> > > No, I did not mean that the motivation of using L2 and L3 
> ciphering 
> > > at the same time was to solve IP address ownership problem.  The 
> > > motivation is to protect network layer traffic (except 
> for neighbor 
> > > discovery traffic which is solved by using SEND) from 
> being spoofed 
> > > by insider attackers who uses L2 ciphering.  To protect network 
> > > layer traffic, IPsec tunnel is used and thus 
> bootstrapping IKE from 
> > > PANA is needed.  This is just an additive combination of 
> > > bootstrapping L2 and L3 ciphering and thus I don't think 
> we need any 
> > > change to the current protocol design to achieve this.
> > 
> > 
> > When L2 ciphering is already used in the network, what kind of 
> > protection is gained by also enabling IPsec between the PaC and EP 
> > (other than potentially solving IP address ownership issues)?
> 
> Insider attacker (meaning that he has L2 ciphering keys) can 
> spoof other insider's higher-layer fields in data packets 
> (though he cannot spoof L2 headers).  I think SEND only 
> protects ND messages, not data packets.  For the same reason,

Right. Ipsec will prevent someone spoofing at layer 3. But
what does it buy for the attacker ? Here the attacker is
the one who is also using L2 cipher. What is the motivation
for the attacker to spoof the L3 fields ? He can potentially
launch some attack with spoofed L3 fileds. What else ?

-mohan

> DHCP authentication might be useful 
> even when L2 ciphering is used.
> 
> Yoshihiro Ohba
> 
>

---

From: Yoshihiro Ohba <[email-masked]>
Date: Mon, 23 Jun 2003 11:35:46 -0700

> launch some attack with spoofed L3 fileds. What else ?

He can also spoof L4 and higher-layer fields of a legitimate client's
traffic in addition to L3 fields.  Note that a legitimate client with
using IPsec in the access network (or VPN or end-to-end ) can also
spoof its own higher-layer traffic, but that is completely out of the
scope of network access security and should be protected by using
transport- and/or application-layer security.

Yoshihiro Ohba